/***************************
file name : main_style.css
description : gère l'affichage général de la page principale
auteur : Patrick le 8 janvier 2020
modifié le : 

****************************/
	body{
		margin:0;
		font-family: 'Open Sans', sans-serif;
		background-size: 100%;
		/**background-image:url('backgrounds/bdac_background_main.jpg');**/
		background-color: white;
	}
	div{
		margin:0px;
	}
	ul{
		list-style-type: none;
	}
	a{
		color: #e600ac; 
		font-weight:bold;
		text-decoration: none;
	}
	a:hover{
		color: black;
	}
	a:active{
		color: black;
	}
	a.ex2{
		color: white; 
		text-decoration: none;
	}
	a.ex2:hover{
		color: black;
	}
	a.ex2:active{
		color: black;
	}
	a.ex3{
		color: #0866FF;
		font-weight:normal;
		text-decoration: none;
	}
	a.ex3:hover{
		color: white;
	}
	a.ex3:active{
		color: white;
	}
	a.ex4{
		color: #0866FF; /**facebook**/
		font-weight:normal;
		text-decoration: none;
	}
	a.ex4:hover{
		color: white;
	}
	a.ex4:active{
		color: white;
	}
	a.ex5{
		color: #e600ac; /**instagram**/
		font-weight:normal;
		text-decoration: none;
	}
	a.ex5:hover{
		color: white;
	}
	a.ex5:active{
		color: white;
	}
/**hr change in bootstrap.css line 1130**/
	#top{
		height:330px;
		padding-top:10px;
		padding-bottom:10px;
		background-image:url('backgrounds/bdac_background_top.svg');
		background-size: 100%;
		background-color: #e600ac;
	}
	#slogan{
		padding-top:40px;
		float:right;
		text-align:left;
		line-height: 100%;
	}
	#menu{
		clear:both;
		font-size:21px; /*font size*/
		font-weight:bold;
		font-family: 'Boogaloo', cursive;
		float: right;
		margin-top:0px;
		margin-bottom:0px;
		padding-top:0px;
		padding-right:200px;
		padding-bottom:0px;
	}
	#menu li{
		text-align:justify;
		float:left;
		padding-top:0px;
		padding-left:30px;
		padding-bottom:0px;
	}
	#page_title{
		/**line-height: 500%;**/
		text-align: left;
		height:100%;
		padding-top: 50px; /**50px;**/
		padding-bottom:230px; /**230px;**/
		background-size: 100%;
		background-color: white;
	}
	#page_content{
		clear:both;
		padding-left:0px;
		padding-bottom:30px;
		height:100%;
	}
	#pages{
		padding-top:25px;
		padding-bottom:10px;
	}
	#localisation{
		padding-top:25px;
		padding-bottom:25px;
	}
	#back{
		clear:both;
		padding-top:30px;
		float:right;
		padding-bottom:30px;
	}
	#partenaires{
		clear:both;
		background-color: white;
		padding-top:20px;
		padding-bottom: 20px;
		text-align:left;
	}
	#bottom{
		clear:both;
		padding-top:30px;
		background-image:url('backgrounds/bdac_background_bottom.svg');
		background-size: 100%;
		background-color: white;
	}
	
	/*floating menus*/
	#menu_button{
		width:100px;
		height:100px;
		background-image:url('buttons/bdac_button_menus.svg');
		float:right;
		margin-right:50px;
	}
	#floating_menu{
		position:absolute;
		top:0px;
		right:0px;
		background-color: black;
		width:70%;
		height:100%;
		padding:50px;
		font-size:70px; /*font size*/
		font-family: 'Boogaloo', cursive;
		font-weight:bold;
		display:none;
		z-index:1;
	}
	.material-icons {
	  font-family: 'Material Icons';
	  font-weight: normal;
	  font-style: normal;
	  font-size: 24px;  /* Preferred icon size */
	  display: inline-block;
	  line-height: 1;
	  text-transform: none;
	  letter-spacing: normal;
	  word-wrap: normal;
	  white-space: nowrap;
	  direction: ltr;

	  /* Support for all WebKit browsers. */
	  -webkit-font-smoothing: antialiased;
	  /* Support for Safari and Chrome. */
	  text-rendering: optimizeLegibility;

	  /* Support for Firefox. */
	  -moz-osx-font-smoothing: grayscale;

	  /* Support for IE. */
	  font-feature-settings: 'liga';
	}
	/**.material-icons.md-18 { font-size: 18px; }
	.material-icons.md-24 { font-size: 24px; }
	.material-icons.md-36 { font-size: 36px; }
	.material-icons.md-48 { font-size: 48px; }**/	
	.titre1{
		color: white;
		font-weight: bold;
		font-family: 'Boogaloo', cursive;
		text-shadow: 3px 3px 30px black;
		line-height: 100%;
	}
	.titre2{
		color: white; /** ANCIEN JAUNE #FECC00**/ /** ANCIEN BLEU CLAIR #FECC00**/
		font-weight:bold;
		font-family: 'Boogaloo', cursive;
		text-shadow: 3px 3px 30px black;
		line-height: 100%;
	}
	.titre3{
		color: black;
		font-weight:bold;
		font-family: 'Boogaloo', cursive;
		line-height: 100%;
		padding-bottom:20px;
	}
	.titre3info{
		color: #e600ac;
		font-weight:bold;
		font-family: 'Boogaloo', cursive;
	}
	.titre3a{
		color: white;
		/**font-weight: bold;**/
		font-family: 'Boogaloo', cursive;
		/**text-shadow: 3px 3px 15px orange;**/
	}
	.titre3b{
		color: white;
		font-family: 'Boogaloo', cursive;
		font-weight:bold;
	}
	.text-align-right{
		text-align: right;
	}
	.text-align-center{
		text-align: center;
	}
	.text1{
		color: #404040;
		font-family: 'Red Hat Text', sans-serif;
	}
	.text1info{
		color: red;
		font-family: 'Red Hat Text', sans-serif;
		font-weight:bold;
	}
	.text2{
		color: white;
		font-family: 'Red Hat Text', sans-serif;
	}
	.text3{
		color: white;
		font-family: 'Red Hat Text', sans-serif;
	}
	#form{
		background-color: #88e0f0; /**#ccebff**/
	}
	.error_message{
		color: red;
		font-family: 'Red Hat Text', sans-serif;
		font-weight:bold;
	}
	.cadre{
		background:#A0D0EA;
		border-radius: 10px;
		padding:30px;
	}
	.boogaloo-regular {
	  font-family: "Boogaloo", sans-serif;
	  font-weight: 400;
	  font-style: normal;
	}
	p.vertical {
	  writing-mode: sideways-lr;
	  /**font-family: 'Boogaloo', cursive;**/
	}

	
	/*********************à partir de là, tous les éléments qui s'adaptent*******************************/
	
	@media screen and (min-width: 0px) and (max-width: 700px) {
		#top{
			padding-left:50px;
		}
		#top_logo{
			padding-top:20px;
			/**filter: drop-shadow(0 0 0.75rem orange);**/
		}
		#top_logo_svg{
			width:300px;
		}
		#slogan{
			padding-right:50px;
		}
		#menu{
			padding-left:50px;
			padding-right:50px;
		}
		#menu{
			display:none;
		}
		#page_title{
			padding-left:50px;
			padding-right:50px;
			background-repeat: no-repeat;
			background-position: left; 
		}
		#page_content{
			padding-left:50px;
			padding-right:50px;
		}
		.newspaper {
			-webkit-column-count: 1; /* Chrome, Safari, Opera */
			-moz-column-count: 1; /* Firefox */
			column-count: 1;
		}
		.material-icons.md { font-size: 48px; }	
		.titre1{
			font-size:100px; /*font size*/
		}
		.titre2{
			font-size:80px; /*font size*/
		}
		.titre3{
			font-size:70px; /*font size*/
		}
		.titre3info{
			font-size:70px; /*font size*/
		}
		.titre3a{
			font-size:50px; /*font size*/
		}
		.titre3b{
			font-size:55px; /*font size*/
		}
		.text1{
			font-size:55px; /*font size*/
		}
		.text1info{
			font-size:55px; /*font size*/
		}
		.text2{
			font-size:55px; /*font size*/
		}
		.text3{
			font-size:24px; /*font size*/
		}
		.error_message{
			font-size: 55px;
		}
		input.larger {
			width: 60px;
			height: 60px;
		}
		#partenaires{
			clear:both;			
			padding-left:50px;
			padding-right:50px;
		}
		#bottom{
			clear:both;			
			padding-left:50px;
			padding-right:50px;
		}
		#form{
			padding-left:25px;
		}
	}
	@media screen and (min-width: 700px) and (max-width: 1200px) {
		#top{
			padding-left:50px;
		}
		#top_logo{
			padding-top:20px;
		}
		#top_logo_svg{
			width:300px;
			/**filter: drop-shadow(0 0 0.75rem orange);**/
		}
		#slogan{
			padding-right:50px;
		}
		#menu{
			padding-left:50px;
			padding-right:50px;
		}
		#menu{
			display:none;
		}
		#page_title{
			padding-left:50px;
			padding-right:50px;
			background-repeat: no-repeat;
			background-position: left; 
		}
		#page_content{
			padding-left:50px;
			padding-right:50px;
		}
		.newspaper {
			-webkit-column-count: 1; /* Chrome, Safari, Opera */
			-moz-column-count: 1; /* Firefox */
			column-count: 1;
		}
		.material-icons.md { font-size: 48px; }	
		.titre1{
			font-size:100px; /*font size*/
		}
		.titre2{
			font-size:80px; /*font size*/
		}
		.titre3{
			font-size:70px; /*font size*/
		}
		.titre3info{
			font-size:70px; /*font size*/
		}
		.titre3a{
			font-size:40px; /*font size*/
		}
		.titre3b{
			font-size:70px; /*font size*/
		}
		.text1{
			font-size:45px; /*font size*/
		}
		.text1info{
			font-size:45px; /*font size*/
		}
		.text2{
			font-size:45px; /*font size*/
		}
		.text3{
			font-size:24px; /*font size*/
		}
		.error_message{
			font-size: 45px;
		}
		input.larger {
			width: 60px;
			height: 60px;
		}
		#partenaires{
			clear:both;
			padding-left:50px;
			padding-right:50px;
		}
		#bottom{
			clear:both;
			padding-left:50px;
			padding-right:50px;
		}
		#form{
			padding-left:25px;
		}		
	}
	@media screen and (min-width: 1200px) {
		#top{
			padding-left:200px;
		}
		#top_logo{
			padding-top:20px;
			padding-bottom:20px;
		}
		#top_logo_svg{
			width:250px;
			/**filter: drop-shadow(0 0 0.75rem orange);**/
		}
		#slogan{
			padding-right:200px;
		}
		#menu{
			padding-left:200px;
			padding-right:200px;
		}
		#menu_button{
			display:none;
		}
		#page_title{
			padding-left:200px;
			padding-right:200px;
			background-repeat: no-repeat;
			background-position: right; 
		}
		#page_content{
			padding-left:200px;
			padding-right:200px;
		}
		.newspaper {
			-webkit-column-count: 2; /* Chrome, Safari, Opera */
			-moz-column-count: 2; /* Firefox */
			column-count: 2;
		}
		.material-icons.md { font-size: 24px; }	
		.titre1{
			font-size:100px; /*font size*/
		}
		.titre2{
			font-size:70px; /*font size*/
		}
		.titre3{
			font-size:45px; /*font size*/
		}
		.titre3info{
			font-size:45px; /*font size*/
		}
		.titre3a{
			font-size:36px; /*font size*/
		}
		.titre3b{
			font-size:36px; /*font size*/
		}
		.text1{
			font-size:18px; /*font size*/
			text-align: justify;
		}
		.text1info{
			font-size:18px; /*font size*/
			text-align: justify;
		}
		.text2{
			font-size:24px; /*font size*/
		}
		.text3{
			font-size:15px; /*font size*/
		}
		.error_message{
			font-size: 18px;
		}
		input.larger {
			width: 30px;
			height: 30px;
		}
		#partenaires{
			clear:both;
			padding-left:200px;
			padding-right:200px;
		}
		#bottom{
			clear:both;
			padding-left:200px;
			padding-right:200px;
		}
		#form{
			padding-left:150px;		
		}
	}